# LobbyDBSpec::AddAccountNote_Data Class Reference

Adds an entry to the accountNotes table for an existing user. More...

`#include <LobbyDBSpec.h>`

Inheritance diagram for LobbyDBSpec::AddAccountNote_Data:

List of all members.

## Public Attributes

UserIdOrHandle | id
| [in] Which user
bool | writeModeratorId
| [in] Write the variable moderatorId?
DatabaseKey | moderatorId
| [in] internal ID of the moderator (does not have to be in the users table).
RakNet::RakString | moderatorUsername
| [in] internal username of the moderator (does not have to be in the users table)
RakNet::RakString | type
| [in] Type of account note (optional)
RakNet::RakString | subject
| [in] Subject of the account note (optional)
RakNet::RakString | body
| [in] Body of the account note (optional)
long long | time
| [out] When this row was added to the database. Used by GetAccountNotes_Data only.
bool | userFound
| [out] If the user was found in the database

## Detailed Description

Adds an entry to the accountNotes table for an existing user.

The documentation for this class was generated from the following file:

- /home/rakkar/raknet-trunk/export/DependentExtensions/Lobby/LobbyDBSpec.h